org.apache.ignite.internal.visor.cache

## Class VisorCacheModifyTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorCacheModifyTaskArg,VisorCacheModifyTaskResult>
    - - org.apache.ignite.internal.visor.cache.VisorCacheModifyTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorCacheModifyTaskArg>,VisorCacheModifyTaskResult>

    @GridInternal
     @GridVisorManagementTask
    public class VisorCacheModifyTask
    extends VisorOneNodeTask<VisorCacheModifyTaskArg,VisorCacheModifyTaskResult>

Task that modify value in specified cache.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheModifyTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.cache.VisorCacheModifyTask.VisorCacheModifyJob` `job(VisorCacheModifyTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheModifyTask

    public VisorCacheModifyTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.cache.VisorCacheModifyTask.VisorCacheModifyJob job(VisorCacheModifyTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorCacheModifyTaskArg,VisorCacheModifyTaskResult,VisorCacheModifyTaskResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022